What is Nostr?
notepad /
npub1g4c…x68m
2022-04-24 15:21:54
in reply to nevent1q…drga

notepad on Nostr: Hey #[0], here's the nostr-post snippet: #[1]

Hey jb55 (npub1xts…kk5s), here's the nostr-post snippet:

nostr-post, a [nostril](https://github.com/jb55/nostril) script to make a post with your EDITOR

```bash
#!/usr/bin/env bash

set -e

TMP=$(mktemp)

$EDITOR "$TMP"

if [ ! -f "$TMP" ]; then
printf "could not create temporary file\n" >&2
exit 1
fi

content="$(cat $TMP)"

re="^[[:space:]]*$"
if [[ "$content" =~ $re ]]; then
printf "note empty. aborting.\n" >&2
exit 2
fi

note=$(nostril "$@" --content "$content")

printf "relaying:\n" >&2
printf "$note\n"
<<<"$note" nostr-relay-note
printf "done.\n" >&2

rm -f "$TMP"
```
Author Public Key
npub1g4cd0g95nd2jg7t3yzqsz94z5hqc9q2z8vtn54ts2mcg79w98qks3yx68m